#ifndef ACCOUNT_H
#define ACCOUNT_H

#include <list>
#include <map>


struct operation {
    unsigned int day;
    unsigned int month;
    unsigned int year;
    unsigned int amount;
    std::string description;
    std::string category;
    bool fix_cost;
} ;

class Account
{
private:
    std::string _name;
    std::string _number;
    std::map<unsigned int, std::map<unsigned int, std::list<operation> > > _operations;
    bool _shared;
    bool _default;
};

#endif
