#ifndef DATABASE_H
#define DATABASE_H

#include <fstream>
#include <list>
#include <wx/wxsqlite3.h>
#include <wx/wx.h>
#include <sha1.h>

#define BDD_FILE "kc.bdd"
#define INIT_SCRIPT "init.sql"

class Database
{
 public:
  Database();

  std::list<wxString> GetUsers();
  bool IsValidUser(wxString user, wxString password);
 private:
    wxSQLite3Database _db;
    
    void CreateDatabase();
};

#endif
